Bio::MAGETAB::Measurement(3)

NAME
Bio::MAGETAB::Measurement - MAGE-TAB measurement class

SYNOPSIS
 use Bio::MAGETAB::Measurement;

DESCRIPTION
This class is used to describe measurements in MAGE-TAB. It can describe individual values, or ranges of values, associated with an optional unit. See the BaseClass class for superclass methods.

ATTRIBUTES

measurementType (required)
    The type of measurement (i.e., the quantity being measured). This is equivalent to the ControlledTerm 'category' attribute (data type: String).

value (optional)
    A single value for the measurement. If a range of values is being described this attribute should be left unset, and minValue and maxValue used instead (data type: String).

minValue (optional)
    The lower end of a range of values for the measurement. If a single value is being specified, just use 'value' instead (data type: String).

maxValue (optional)
    The upper end of a range of values for the measurement. If a single value is being specified, just use 'value' instead (data type: String).

unit (optional)
    The unit of the measurement (data type: Bio::MAGETAB::ControlledTerm).

METHODS
Each attribute has accessor (get_*) and mutator (set_*) methods, and also predicate (has_*) and clearer (clear_*) methods where the attribute is optional. Where an attribute represents a one-to-many relationship the mutator accepts an arrayref and the accessor returns an array.

SEE ALSO
Bio::MAGETAB::BaseClass

AUTHOR
Tim F. Rayner <tfrayner@gmail.com>

LICENSE
This library is released under version 2 of the GNU General Public License (GPL).